#pragma once

#include <QtWidgets/QMainWindow>
#include "ui_MainWindow.h"

class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	MainWindow(QWidget *parent = Q_NULLPTR);
	~MainWindow();

// Variables
private:
	Ui::MainWindowClass* ui;

// Functions
private:
	void setupWindow();

// Slots
private slots:
	void openFile();
	void aboutFile();
	

// Override Functions
protected:
	virtual void keyPressEvent(QKeyEvent * keyEvent) override final;
};
